Get reachability
1 min
GET
https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}
Path Parameters
- identifier_field_namestringrequiredDescription
Query Parameters
- idstringrequiredDescription
Responses
200
- ReachabilityExample
{ "identifier_field_name": "email", "identifier_value": "[email protected]", "reachable_update_type": "hard_bounce", "reachable_update_reason": "5xx from mailbox provider", "reachable_update_ts": 1572721108, "reachable": false, "zaius_id": 3355837520960160000 }- identifier_valuestringrequiredDescription
- identifier_field_namestringrequiredDescription
- reachablebooleanrequiredDescriptionDefaulttrue
- reachable_update_typestringrequiredDescription
- reachable_update_reasonstringDescription
- reachable_update_tsstringDescription
- zaius_idinteger
403
curl
curl --request GET \
--url 'https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.us1.odp.optimizely.com/v3/reachability/{identifier_field_name}?id=string"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"identifier_value": "",
"identifier_field_name": "",
"reachable": false,
"reachable_update_type": "",
"reachable_update_reason": "",
"reachable_update_ts": "",
"zaius_id": 0
}403
// Forbidden